Bug 75764 - Very slow when save the file
Summary: Very slow when save the file
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-04 17:05 UTC by bonbon
Modified: 2015-02-11 19:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bonbon 2014-03-04 17:05:13 UTC
I´m using Libreoffice and upgrade to this version 4.1.4.2(when 4.2 installed, older chart too much problem, so I have to downgrade to 4.1 version).But anyway, all verstion of libreoffice, it´ll be very slow to save a edited file to .od"x" format. Whatever we desable the index service or windows search o windows firewall and defender. However, the point is if we choose to save as Microsoft office file format, it´ll be very fast like just half second.
Comment 1 retired 2014-03-04 17:23:29 UTC
This is very general info. Which Windows are you using? Is this reproducible all the time or only sometimes? Any specific workflow or just open LO and save as then very slow file saving?
Comment 2 bonbon 2014-03-04 19:18:04 UTC
(In reply to comment #1)
> This is very general info. Which Windows are you using? Is this reproducible
> all the time or only sometimes? Any specific workflow or just open LO and
> save as then very slow file saving?

Windows 8(now 8.1) X64.
all the time. sometimes slow as 10 seconds, sometimes slower, sometimes slow till LO freezed.
No special workflow, just open LO calc o base, edit, and save. Note!! if save as microsoft office format in LO, it's very fast. please note this difference. as per this, we can know there's a bug in LO, right?
Comment 3 Jean-Baptiste Faure 2014-05-01 08:36:05 UTC
Without clear data it is not possible to identify a bug, reproduce and fix it.

So, please, attach a test file in MSO format which, from your point of view, is too long to save in OpenDocument format on your LO installation.
And add a approximative measurement of the time to save for each format.

Thank you for your understanding.

Best regards. JBF
Comment 4 bonbon 2014-05-02 17:23:21 UTC
I´m now doing a test. File to test contains formulas,functions.
[First: Time to open]
Step 1.- Open one of my .ods file, it takes 12 seconds to open. Then I close it.
Step 2.- Open the same content file but this time it´s a .xls file, it takes 8 second to open.
Step 3.- Open the same content file this time it´s a .xlsx file, it only takes 3 seconds to open.

[Second: Time to save,same content]
Step 1.- Open one of my .ods file, Save as another .ods file, it takes 3 seconds to save.
Step 2.- Save as another .xls file, it takes 9 seconds to save.
Step 3.- Save as another .xlsx file, it takes 15 seconds to save.


[Third: Time to save, content modified]
Step 1.- Open one of my .ods file, modify some content,then save as another .ods file, it takes 16 seconds to save.
Step 2.- Same content modified file,then save as a .xls file, it takes 12 seconds to save.
Step 3.- Save as another .xlsx file, it takes 16 seconds to save. (last time it takes only 1 second. Maybe some programs affect today.)

anyway just for reference. I just hope LO could be better then MO, faster and stabler. Good luck!
Comment 5 retired 2014-05-03 17:58:00 UTC
Please attach a test file which you think is saving to slowly so this can be tested against.
Comment 6 QA Administrators 2015-01-10 18:06:42 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 7 QA Administrators 2015-02-11 19:53:33 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 8 QA Administrators 2015-02-11 19:59:40 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11